Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Whenever I try to run Add/remove software from menu, it gives me this error:

PackageKit Error: Running graphical applications as privileged user should be avoided for security reasons. Therefor this application will close.

I m currently logged in as root.

How to rectify this?

share|improve this question
add comment

1 Answer 1

Log in as a non root user. If you want to install software as root use yum from the command line, although it's still recommended to use a non root user and run yum via sudo to avoid other possible mishaps in the command line.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.